%define name qcg-loudmouth
%define _sourcedir %{_topdir}/SOURCES/%{name}
%define tarball loudmouth

Summary: Adjusted for QCG loudmouth library.
Name: %{name}
Version: 1.4.3
Release: 4
License: LGPLv2
Vendor: Dafydd Harries <dafydd.harries@collabora.co.uk> Senko Rasic <senko.rasic@collabora.co.uk> Daniel Stenberg <Daniel.Stenberg@haxx.se>
Packager: Bartosz Bosak <bbosak@man.poznan.pl>
Group: Libraries/Networking
Source: %{tarball}-%{version}.tar.bz2
Patch: xmpp-ping.diff
Provides: %{name} = %{version}-%{release}
BuildRequires: glib2-devel >= 2.4.0
BuildRequires: gnutls-devel >= 1.4.0 
BuildRoot: %{_tmppath}/%{tarball}-%{version}-root
Requires: glib2 >= 2.4.0
Requires: gnutls >= 1.4.0 

%define         _qcgdir         %{_prefix}
%ifarch x86_64
%define         _libdir         %{_qcgdir}/lib64
%endif

%description
Loudmouth is a lightweight and easy-to-use C library for programming with the
Jabber protocol. It's designed to be easy to get started with and yet
extensible to let you do anything the Jabber protocol allows.

The goal is to fully support Linux, *BSD, Mac OSX and Windows. It has
currently only been tested on Linux (Red Hat 8.0, Debian Unstable) and FreeBSD
that I know of. If someone with access to other machines can provide
feedback I would be most grateful.

%package	devel
Summary:	The development files for loudmouth
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description devel
Loudmouth is a lightweight C library for Jabber protocol. This package contains
development files for loudmouth.

%prep
%setup -q -n %{tarball}-%{version}
%patch -p1

%build
%configure --with-ssl=gnutls
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make DESTDIR=%{buildroot} install-strip

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
ldconfig %{_libdir}

%postun

%files
%defattr(644,root,root,755)
%{_libdir}

%files devel
%{_qcgdir}/include
%{_qcgdir}/share

%changelog
* Tue Jul 16 2013 Bartosz Bosak <bbosak@man.poznan.pl> 1.4.3-5
- Improved SPEC file: added changelog
